// /redux/thunks/database/fetchPoiTypThunk.js
import { createAsyncThunk } from "@reduxjs/toolkit";
import { fetchPoiTypService } from "../../../services/database/fetchPoiTypService";

export const fetchPoiTypThunk = createAsyncThunk("poiTyp/fetch", async (_, thunkAPI) => {
  try {
    return await fetchPoiTypService();
  } catch (err) {
    return thunkAPI.rejectWithValue(err.message);
  }
});
